Delay

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.util
Class Delay

    java.lang.Object
      net.ctdp.rfdynhud.util.Delay

    public class Delay

extends java.lang.Object

This class is a simple utility, that counts a given amount of time and reports the current state.

Author:
  Marvin Froehlich (CTDP)

Nested Class Summary
`static class` | `Delay.State`

Constructor Summary
`Delay()`

Method Summary
`Delay.State` | `getState(ScoringInfo scoringInfo)` Gets the `Delay`'s current state.
`boolean` | `isTimeUp(ScoringInfo scoringInfo)` Checks, whether the time's up for this `Delay`.
`void` | `reset()`
`void` | `start(ScoringInfo scoringInfo, DelayProperty delay)` Starts the delay.
`void` | `start(ScoringInfo scoringInfo, float delaySeconds)` Starts the delay.
`void` | `start(ScoringInfo scoringInfo, long delayNanos)` Starts the delay.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Delay

    public Delay()

Method Detail

### reset

    public void reset()

### start

    public void start(ScoringInfo scoringInfo,
                      long delayNanos)

  Starts the delay. It will end after the given nanos have passed.

  Parameters:
    `scoringInfo` - the ScoringInfo to take the start (current) time from
    `delayNanos` - the nanos, this delay will run for

### start

    public final void start(ScoringInfo scoringInfo,
                            float delaySeconds)

  Starts the delay. It will end after the given seconds have passed.

  Parameters:
    `scoringInfo` - the ScoringInfo to take the start (current) time from
    `delaySeconds` - the seconds, this delay will run for

### start

    public final void start(ScoringInfo scoringInfo,
                            DelayProperty delay)

  Starts the delay. It will end after the given seconds have passed.

  Parameters:
    `scoringInfo` - the ScoringInfo to take the start (current) time from
    `delay` - the property to take the delay from

### getState

    public final Delay.State getState(ScoringInfo scoringInfo)

  Gets the `Delay`'s current state.

  Parameters:
    `scoringInfo` -
  Returns:
    the `Delay`'s current state.

### isTimeUp

    public final boolean isTimeUp(ScoringInfo scoringInfo)

  Checks, whether the time's up for this `Delay`.

  Parameters:
    `scoringInfo` -
  Returns:
    whether the time's up for this `Delay`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD